import Vue from "vue";
import VueRouter from "vue-router";
import App from "./App.vue";
import store from "./store";
import router from "./router";
Vue.use(window.antd);
import header from '@/components/base/header.vue'
Vue.component('header-body', header)
import headerMenu from '@/components/base/header-menu.vue'
Vue.component('header-menu',headerMenu)
import markdown from '@/components/markdown'
Vue.component('markdown', markdown)
Vue.config.productionTip = false;
//开发环境开启mock模拟数据
// if(process.env.NODE_ENV == 'development'){
// 	require('./mock')
// }
let instance= null;
/**
 * bootstrap 只会在子应用初始化的时候调用一次，下次子应用重新进入时会直接调用 mount 钩子，不会再重复触发 bootstrap。
 * 通常我们可以在这里做一些全局变量的初始化，比如不会在 unmount 阶段被销毁的应用级别的缓存等。
 */
export async function bootstrap({ fns = [] } = {}) {
  Array.isArray(fns) && fns.map(i => {
    Vue.prototype[i.name] = i
  });
}
/**
 * 应用每次进入都会调用 mount 方法，通常我们在这里触发应用的渲染方法
 */
export async function mount({ data = {} } = {}) {
  instance = new Vue({
    router,
    store,
    render: h => h(App, { props: data })
  }).$mount("#app");

  const originalPush = VueRouter.prototype.push
  VueRouter.prototype.push = function push(location) {
    return originalPush.call(this, location).catch(err => err)
  }

}
/**
 * 应用每次 切出/卸载 会调用的方法，通常在这里我们会卸载子应用的应用实例
 */
export async function unmount() {
  instance.$destroy();
  instance = null;
  router = null;
}
/**
 * 单独开发环境
 */
window.__POWERED_BY_QIANKUN__ || mount();
