# 前端Vue项目结构说明

    |-- .eslintrc.js    //es规则
    |-- .gitignore  //git配置文件，可以按规则忽略文件上传
    |-- .project
    |-- babel.config.js  //babel配置文件，将新语法向后兼容，为兼容多浏览器 
    |-- package-lock.json
    |-- package.json  //项目npm安装的依赖文件和部分配置文件
    |-- readme.md  //项目说明文件
    |-- vue.config.js  //vue3.0 主要配置文件
    |-- public //开发的静态文件
    |   |-- favicon.ico
    |   |-- index.html
    |   |-- static
    |       |-- logo.png
    |       |-- css
    |       |   |-- index.css
    |-- src
    |   |-- App.vue  //主文件， 路由页面一般在此定义，管理系统会在本页引入头部，菜单等一些全局组件
    |   |-- main.js  //主配置文件，对项目的一些依赖或其他配置的引入
    |   |-- api
    |   |   |-- axios.js  //封装的请求工具
    |   |   |-- index.js //全部的接口地址，会在全局引入 import {方法名} from '@/api' 即可
    |   |-- components  //组件
    |   |   |-- base
    |   |   |   |-- header-menu.vue  //头部菜单组件
    |   |   |   |-- header.vue  //头部组件
    |   |   |-- markdown  //富文本组件
    |   |       |-- index.vue
    |   |-- mock  //模拟数据
    |   |   |-- index.js
    |   |   |-- open
    |   |       |-- openMock.js  //mock主配置测试
    |   |-- router //路由
    |   |   |-- index.js  //路由主配置文件，在这里会引入每个模块的路由文件
    |   |   |-- open
    |   |       |-- openRouter.js
    |   |-- store
    |   |   |-- index.js //vuex状态主配置文件，在这里会引入每个状态分类的文件
    |   |   |-- modules
    |   |       |-- basedata.js
    |   |-- utils
    |   |-- web //模块
    |       |-- dev  //上级开发模块
    |       |   |-- result.vue //题目结果提交页面
    |       |-- open  
    |           |-- appstore.vue
    |           |-- explain.vue
    |           |-- index.vue
    |           |-- page404.vue
    |           |-- structure.vue
    |           |-- subject.vue
    |           |-- md
    |               |-- explain.md
    |               |-- subject.md
    |-- static
        |-- logo.png